#!/bin/bash

# called by dracut
check() {
    # do not add this module by default
    return 255
}

# called by dracut
depends() {
    return 0
}

# called by dracut
installkernel() {
    # make sure the thunderbolt kernel module is loaded
    instmods thunderbolt
    return 0
}

# called by dracut
install() {
	# Location of thunderbolt acl auth data
    local _tbt_auth_data
    _tbt_auth_data="/var/lib/thunderbolt"

	# Install necessary binaries/scripts/udev rules
    inst_binary /lib/udev/tbtacl-write
    # dependencies for tbtacl
    inst_binary /usr/bin/basename
    inst_binary /usr/bin/dirname
    inst_binary /usr/bin/grep
    inst_binary /usr/bin/logger
    # end of dependencies
    inst_script /lib/udev/tbtacl
    inst_rules /lib/udev/rules.d/60-tbtacl.rules
	# Install auth data
    for auth_file in $(find "$_tbt_auth_data" -type f)
    do :
        inst_simple "$auth_file"
    done
}
